MsWks3TextInternal::TextZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
MsWks3TextInternal::TextZone Struct Reference

Internal: the text zone. More...

## Public Types
enum | Type { Header, Footer, Main, Unknown }

## Public Member Functions
| TextZone ()
| constructor More...
bool | isMain () const
| return true if this is the main zone More...

## Public Attributes
int | m_type
| the zone type; More...
int | m_id
| the zone id More...
std::vector< LineZone > | m_zonesList
| the list of zones More...
std::vector< int > | m_linesHeight
| the line height More...
std::vector< int > | m_pagesHeight
| the pages height More...
std::map< int, bool > | m_pagesPosition
| the zone id -> hard break More...
std::map< int, MWAWVec2i > | m_footnoteMap
| the note id -> zone limit More...
std::string | m_text
| a string used to store v1-2 files header/footer More...
bool | m_isSent
| flag to know if the zone is send or not More...

## Detailed Description

Internal: the text zone.

## Member Enumeration Documentation

enum MsWks3TextInternal::TextZone::Type

Enumerator
Header |
Footer |
Main |
Unknown |

## Constructor & Destructor Documentation

MsWks3TextInternal::TextZone::TextZone | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool MsWks3TextInternal::TextZone::isMain | ( |  | ) | const
| inline

return true if this is the main zone

Referenced by MsWks3Text::numPages(), and MsWks3Text::send().

## Member Data Documentation

std::map<int, MWAWVec2i> MsWks3TextInternal::TextZone::m_footnoteMap

the note id -> zone limit

Referenced by MsWks3Text::send(), MsWks3Text::sendNote(), and MsWks3Text::updateNotes().

int MsWks3TextInternal::TextZone::m_id

the zone id

Referenced by MsWks3Text::createZones(), MsWks3Text::readHeaderFooterString(), and MsWks3Text::send().

bool MsWks3TextInternal::TextZone::m_isSent

flag to know if the zone is send or not

Referenced by MsWks3Text::send().

std::vector<int> MsWks3TextInternal::TextZone::m_linesHeight

the line height

Referenced by MsWks3Text::update().

std::vector<int> MsWks3TextInternal::TextZone::m_pagesHeight

the pages height

Referenced by MsWks3Text::update().

std::map<int, bool> MsWks3TextInternal::TextZone::m_pagesPosition

the zone id -> hard break

Referenced by MsWks3Text::numPages(), MsWks3Text::send(), and MsWks3Text::update().

std::string MsWks3TextInternal::TextZone::m_text

a string used to store v1-2 files header/footer

Referenced by MsWks3Text::readHeaderFooterString(), and MsWks3Text::send().

int MsWks3TextInternal::TextZone::m_type

the zone type;

Referenced by MsWks3Text::createZones(), isMain(), and MsWks3Text::readHeaderFooterString().

std::vector<LineZone> MsWks3TextInternal::TextZone::m_zonesList

the list of zones

Referenced by MsWks3Text::createZones(), MsWks3Text::send(), MsWks3Text::update(), and MsWks3Text::updateNotes().

The documentation for this struct was generated from the following file:

- MsWks3Text.cxx